> ## Documentation Index
> Fetch the complete documentation index at: https://juo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List schedule adjustments

> Returns a list of schedule adjustments.



## OpenAPI

````yaml openapi-customer.json GET /schedules/adjustments
openapi: 3.1.0
info:
  version: 8.15.0
  title: '@fastify/swagger'
servers:
  - url: https://api.juo.io/customer/v1
security:
  - DelegatedToken: []
  - AccessToken: []
paths:
  /schedules/adjustments:
    get:
      tags:
        - api.customer.v1
      description: List schedule adjustments for the authenticated customer
      parameters:
        - schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
          in: query
          name: limit
          required: false
          description: >-
            See
            [pagination](/docs/api-reference/customer/introduction#pagination)
            for more details on how to paginate the results.
        - schema:
            minLength: 1
            type: string
          in: query
          name: after
          required: false
          description: >-
            See
            [pagination](/docs/api-reference/customer/introduction#pagination)
            for more details on how to paginate the results.
        - schema:
            minLength: 1
            type: string
          in: query
          name: before
          required: false
          description: >-
            See
            [pagination](/docs/api-reference/customer/introduction#pagination)
            for more details on how to paginate the results.
        - schema:
            default: createdAt:asc
            type: string
          in: query
          name: sort
          required: false
          description: >-
            See [sorting](/docs/api-reference/customer/introduction#sorting) for
            more details on how to sort the results.
        - $ref: '#/components/parameters/TenantHeader'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    type: string
                    enum:
                      - list
                  hasNextPage:
                    type: boolean
                  hasPrevPage:
                    type: boolean
                  endCursor:
                    type:
                      - 'null'
                      - string
                  startCursor:
                    type:
                      - 'null'
                      - string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ScheduleAdjustment'
                required:
                  - resource
                  - hasNextPage
                  - hasPrevPage
                  - endCursor
                  - startCursor
                  - data
components:
  parameters:
    TenantHeader:
      name: X-Tenant-ID
      x-speakeasy-name-override: tenant
      x-speakeasy-globals-hidden: true
      in: header
      schema:
        type: string
      required: true
      description: >-
        Unique identifier of the tenant in the system (usually a store
        identifier)
  schemas:
    ScheduleAdjustment:
      type: object
      properties:
        id:
          format: uuid
          description: The adjustment identifier
          type: string
        resource:
          type: string
          enum:
            - schedule_adjustment
        customer:
          minLength: 1
          description: The customer identifier
          type: string
        matcher:
          type: object
          properties:
            type:
              minLength: 1
              type: string
            input: {}
          required:
            - type
            - input
        action:
          type: object
          properties:
            type:
              minLength: 1
              type: string
            input: {}
          required:
            - type
            - input
        actor:
          type: object
          properties:
            type:
              type: string
              enum:
                - staff
                - customer
                - system
                - bulk-action
                - api
            id:
              description: The actor identifier, if applicable
              type:
                - 'null'
                - string
          required:
            - type
            - id
        createdAt:
          format: date-time
          description: Creation date of the adjustment
          type: string
        updatedAt:
          format: date-time
          description: Last update date of the adjustment
          type: string
      required:
        - id
        - resource
        - customer
        - matcher
        - action
        - actor
        - createdAt
        - updatedAt
      title: ScheduleAdjustment
  securitySchemes:
    DelegatedToken:
      type: apiKey
      name: X-Delegated-Token
      in: header
    AccessToken:
      type: http
      scheme: bearer

````